Package com.sap.ai.sdk.prompt.registry.model

# Class OrchestrationConfigPostRequest

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.OrchestrationConfigPostRequest

public class OrchestrationConfigPostRequest extends Object
OrchestrationConfigPostRequest

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `OrchestrationConfigPostRequest.Builder`
  Builder helper class.
  `static interface`
  `OrchestrationConfigPostRequest.Builder1`
  Builder helper class.
  `static interface`
  `OrchestrationConfigPostRequest.Builder2`
  Builder helper class.
  `static interface`
  `OrchestrationConfigPostRequest.Builder3`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `OrchestrationConfigPostRequest()`
  Default constructor for OrchestrationConfigPostRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OrchestrationConfigPostRequest.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `OrchestrationConfigPostRequest` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `OrchestrationConfigPostRequest`.
  `String`
  `getName()`
  Get name
  `String`
  `getScenario()`
  Get scenario
  `OrchestrationConfig`
  `getSpec()`
  Get spec
  `String`
  `getVersion()`
  Get version
  `int`
  `hashCode()`
  `OrchestrationConfigPostRequest`
  `name(String name)`
  Set the name of this `OrchestrationConfigPostRequest` instance and return the same instance.
  `OrchestrationConfigPostRequest`
  `scenario(String scenario)`
  Set the scenario of this `OrchestrationConfigPostRequest` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `OrchestrationConfigPostRequest` instance.
  `void`
  `setName(String name)`
  Set the name of this `OrchestrationConfigPostRequest` instance.
  `void`
  `setScenario(String scenario)`
  Set the scenario of this `OrchestrationConfigPostRequest` instance.
  `void`
  `setSpec(OrchestrationConfig spec)`
  Set the spec of this `OrchestrationConfigPostRequest` instance.
  `void`
  `setVersion(String version)`
  Set the version of this `OrchestrationConfigPostRequest` instance.
  `OrchestrationConfigPostRequest`
  `spec(OrchestrationConfig spec)`
  Set the spec of this `OrchestrationConfigPostRequest` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `OrchestrationConfigPostRequest` instance including unrecognized properties.
  `String`
  `toString()`
  `OrchestrationConfigPostRequest`
  `version(String version)`
  Set the version of this `OrchestrationConfigPostRequest` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationConfigPostRequest

    protected OrchestrationConfigPostRequest()
    Default constructor for OrchestrationConfigPostRequest.

- ## Method Details

  - ### name

    @Nonnull public OrchestrationConfigPostRequest name(@Nonnull String name)
    Set the name of this `OrchestrationConfigPostRequest` instance and return the same instance.
    Parameters:
      `name` - The name of this `OrchestrationConfigPostRequest`
    Returns:
      The same instance of this `OrchestrationConfigPostRequest` class

  - ### getName

    @Nonnull public String getName()
    Get name
    Returns:
      name The name of this `OrchestrationConfigPostRequest` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `OrchestrationConfigPostRequest` instance.
    Parameters:
      `name` - The name of this `OrchestrationConfigPostRequest`

  - ### version

    @Nonnull public OrchestrationConfigPostRequest version(@Nonnull String version)
    Set the version of this `OrchestrationConfigPostRequest` instance and return the same instance.
    Parameters:
      `version` - The version of this `OrchestrationConfigPostRequest`
    Returns:
      The same instance of this `OrchestrationConfigPostRequest` class

  - ### getVersion

    @Nonnull public String getVersion()
    Get version
    Returns:
      version The version of this `OrchestrationConfigPostRequest` instance.

  - ### setVersion

    public void setVersion(@Nonnull String version)
    Set the version of this `OrchestrationConfigPostRequest` instance.
    Parameters:
      `version` - The version of this `OrchestrationConfigPostRequest`

  - ### scenario

    @Nonnull public OrchestrationConfigPostRequest scenario(@Nonnull String scenario)
    Set the scenario of this `OrchestrationConfigPostRequest` instance and return the same instance.
    Parameters:
      `scenario` - The scenario of this `OrchestrationConfigPostRequest`
    Returns:
      The same instance of this `OrchestrationConfigPostRequest` class

  - ### getScenario

    @Nonnull public String getScenario()
    Get scenario
    Returns:
      scenario The scenario of this `OrchestrationConfigPostRequest` instance.

  - ### setScenario

    public void setScenario(@Nonnull String scenario)
    Set the scenario of this `OrchestrationConfigPostRequest` instance.
    Parameters:
      `scenario` - The scenario of this `OrchestrationConfigPostRequest`

  - ### spec

    @Nonnull public OrchestrationConfigPostRequest spec(@Nonnull OrchestrationConfig spec)
    Set the spec of this `OrchestrationConfigPostRequest` instance and return the same instance.
    Parameters:
      `spec` - The spec of this `OrchestrationConfigPostRequest`
    Returns:
      The same instance of this `OrchestrationConfigPostRequest` class

  - ### getSpec

    @Nonnull public OrchestrationConfig getSpec()
    Get spec
    Returns:
      spec The spec of this `OrchestrationConfigPostRequest` instance.

  - ### setSpec

    public void setSpec(@Nonnull OrchestrationConfig spec)
    Set the spec of this `OrchestrationConfigPostRequest` instance.
    Parameters:
      `spec` - The spec of this `OrchestrationConfigPostRequest`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `OrchestrationConfigPostRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `OrchestrationConfigPostRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `OrchestrationConfigPostRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `OrchestrationConfigPostRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static OrchestrationConfigPostRequest.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `OrchestrationConfigPostRequest` instance with all required arguments.